> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hologram.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate SIMs using the REST API

> Deactivate SIMs in bulk using the REST API, and understand the implications of permanent SIM deactivation.

## How to deactivate SIMs using the REST API

Use the cellular state endpoint to deactivate one or more SIMs by `linkid`.

<Danger>
  **Danger:** SIM deactivation is permanent and irreversible once completed. If you plan to reuse SIMs, do not deactivate them, [pause them instead](/dashboard/sim-actions/pause-resume-sims).
</Danger>

<Info>
  **Limited access:** Deactivation is limited to Owner, Admin, and Manager roles.
</Info>

### Send a request to set state=deactivate using cURL

```bash cURL theme={null}
curl --request POST \
  'https://dashboard.hologram.io/api/1/devices/batch/state' \
  -u apikey:YOUR_HOLOGRAM_API_KEY \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "orgid": 12345,
    "deviceids": [123456, 234567],
    "state": "deactivate"
  }'
```

### Send a request to set state=deactivate using HTTP

```bash cURL theme={null}
curl --request POST \
  'https://dashboard.hologram.io/api/1/devices/batch/state' \
  -u apikey:YOUR_HOLOGRAM_API_KEY \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "orgid": 12345,
    "deviceids": [123456, 234567],
    "state": "deactivate"
  }'
```

## Related actions

<Card title="Deactivate SIMs in your dashboard" href="/dashboard/sim-actions/deactivate-sims" horizontal>
  Deactivate SIMs in your dashboard. Limited to 10 SIMs at a time.
</Card>

<Card title="REST API endpoint" href="/api/1/devices/batch/state/post">
  Deactivate SIMs (bulk) <code>POST /links/cellular/state</code>
</Card>
